#### PipeWire can act as a drop-in replacement for PulseAudio, you shouldn't come across any issues.
 -> https://wiki.debian.org/PipeWire
> For Debian 12 and newer, `pipewire-audio-client-libraries` is replaced by `pipewire-alsa` and `pipewire-jack`. It is recommended to install the metapackage `pipewire-audio` which depends on wireplumber (the recommended session manager), `pipewire-pulse` (to replace PulseAudio), `pipewire-alsa` (ALSA) and `libspa-0.2-bluetooth` (for Bluetooth support). Moreover, installing this metapackage will remove pulseaudio to prevent any conflicts between both sound servers.

Here's what I did to switch from PulseAudio to PipeWire:

```
$ sudo apt install pipewire-audio pipewire-pulse pipewire-alsa
$ sudo touch /etc/pipewire/media-session.d/with-pulseaudio
$ sudo cp /usr/share/doc/pipewire/examples/systemd/user/pipewire-pulse.* /etc/systemd/user/
$ systemctl --user daemon-reload
$ systemctl --user --now disable pulseaudio.service pulseaudio.socket
$ systemctl --user --now enable pipewire pipewire-pulse
$ systemctl --user mask pulseaudio
$ sudo reboot
```
Note that my PC does not support bluetooth, so I left out those modules. Please install [`libspa-0.2-bluetooth`](https://packages.debian.org/bookworm/libspa-0.2-bluetooth) for BL support with PipeWire.
